Skip to main content
Resource Center/VMware Management/vCenter Operations
PUTvCenter OperationsSince 2.3.2SynchronousAuth Required

UpdateVCenter

UpdateVCenter

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • uuidStringRequired

    The resource UUID.

Body Fields

  • updatevcenterObjectRequired

    updatevcenter request body object.

    • nameString

      Optional. The resource name.

    • descriptionString

      Optional. The detailed description of the resource.

    • usernameString

      Optional.

    • passwordString

      Optional.

    • domainNameString

      Optional.

    • portInteger

      Optional.

    • stateString

      Optinal. VCenter Enable Status.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • successbooleanRequired

    操作是否成功。

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoryVCenterInventoryRequired

    See inventory.

    • uuidStringRequired

      The resource UUID.

    • nameStringRequired

      The resource name.

    • descriptionStringRequired

      The detailed description of the resource.

    • domainNameStringRequired

      域名称。

    • portIntegerRequired

      端口号。

    • userNameStringRequired

      用户名称。

    • zoneUuidStringRequired

      The zone UUID.

    • httpsBooleanRequired

      No description provided.

    • stateStringRequired

      当前状态。

    • statusStringRequired

      状态信息。

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

Endpoint

PUT/zstack/v1/vcenters/{uuid}/actions

/zstack/v1/vcenters/{uuid}/actions

Operation ID

UpdateVCenter

Permalink

Request Example

curl -X PUT 'http://{host}/zstack/v1/vcenters/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"updatevcenter":{"name":"<name>","description":"<description>","username":"<username>","password":"<password>","domainName":"<domainName>","port":1,"state":"<state>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "uuid": "6c42846814243c408a225e3738a2440f", "name": "Test-VCenter", "description": "Test-Description", "domainName": "Test-DomainName", "userName": "Test-Username", "password": "Test-Password" } }

Change History

This API has no change history records yet.

View all change history